Bug 885135 - [RFE] provide a more informative message in event when a VM started in Paused Mode
[RFE] provide a more informative message in event when a VM started in Paused...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Shahar Havivi
Jiri Belka
virt
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-07 10:06 EST by Jiri Belka
Modified: 2015-09-22 09 EDT (History)
9 users (show)

See Also:
Fixed In Version: is10
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 12:11:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16093 None None None Never

  None (edit)
Description Jiri Belka 2012-12-07 10:06:13 EST
Description of problem:

More informative message in event when a VM started in Paused Mode.

Now:

Starting VM win7_32bit was initiated by portaluser4.

Maybe good msg:

Starting in paused mode VM win7_32bit was initiated by portaluser4.

Version-Release number of selected component (if applicable):

SI24.5

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Starting VM win7_32bit was initiated by portaluser4.

Expected results:

...something like...

Starting in paused mode VM win7_32bit was initiated by portaluser4.

Additional info:
Comment 1 Simon Grinberg 2012-12-26 07:42:02 EST
Trying to figure out why is this interesting?
Comment 3 Jiri Belka 2013-01-15 05:16:30 EST
> Trying to figure out why is this interesting?

For logging. One can ask: why was not a VM accessible? RHEV admin would check history logged events and see 'Starting VM ...'. He would not know that somebody started the VM in Paused mode... So, just to provide good overview what was going on in history of the VM in events.
Comment 4 Jiri Belka 2013-08-05 11:01:29 EDT
is8 - I still can reproduce.
Comment 5 Shahar Havivi 2013-08-06 04:02:29 EDT
Yes...
There was a bug in the fix that shows the message only when debugger present (because it took more time and the VM was already pause)
This fix the issue: http://gerrit.ovirt.org/#/c/17701/

Tested on Run VM and Run Once.
Comment 7 Jiri Belka 2013-08-16 10:57:13 EDT
ok, is10.
Comment 8 Charlie 2013-11-27 19:22:36 EST
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 10 errata-xmlrpc 2014-01-21 12:11:41 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html

Note You need to log in before you can comment on or make changes to this bug.